GROUPMEMS(8)

NAME
groupmems - administer members of a user's primary group

SYNOPSIS

groupmems -a user_name | -d user_name | -l | -p | [-g group_name]

DESCRIPTION

The groupmems utility allows a user to administer his/her own group membership list without the requirement of super user privileges. The groupmems utility is for systems that configure its users to be in their own name sake primary group (i.e., guest / guest).

Only the super user, as administrator, can use groupmems to alter the memberships of other groups.

OPTIONS

The options which apply to the groupmems command are:

-a user_name
    Add a new user to the group membership list.

-d user_name
    Delete a user from the group membership list.

-p  Purge all users from the group membership list.

-g group_name
    The super user can specify which group membership list to modify.

-l  List the group membership list.

SETUP

The groupmems executable should be in mode 2770 as user root and in group groups. The system administrator can add users to group groups to allow or disallow them using the groupmems utility to manage their own group membership list.

    	$ groupadd -r groups
    	$ chmod 2770 groupmems
    	$ chown root.groups groupmems
    	$ groupmems -g groups -a gk4

FILES

/etc/group
    Group account information.

/etc/gshadow
    secure group account information

SEE ALSO

chfn(1), chsh(1), passwd(1), groupadd(8), groupdel(8), useradd(8), userdel(8), usermod(8).